[arch-commits] CVS update of extra/lib/libsigsegv (PKGBUILD)

Jan de Groot jgc at archlinux.org
Fri Jun 1 04:58:57 EDT 2007


    Date: Friday, June 1, 2007 @ 04:58:57
  Author: jgc
    Path: /home/cvs-extra/extra/lib/libsigsegv

   Added: PKGBUILD (1.1)

upgpkg: libsigsegv 2.4-1
Add as dependency for clisp


----------+
 PKGBUILD |   21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)


Index: extra/lib/libsigsegv/PKGBUILD
diff -u /dev/null extra/lib/libsigsegv/PKGBUILD:1.1
--- /dev/null	Fri Jun  1 04:58:57 2007
+++ extra/lib/libsigsegv/PKGBUILD	Fri Jun  1 04:58:56 2007
@@ -0,0 +1,21 @@
+# $Id: PKGBUILD,v 1.1 2007/06/01 08:58:56 jgc Exp $
+# Contributor: Johannes Weiner <hannes at saeurebad.de>
+
+pkgname=libsigsegv
+pkgver=2.4
+pkgrel=1
+arch=('i686')
+pkgdesc="Page fault detection library"
+url="http://libsigsegv.sourceforge.net/"
+license=('GPL')
+depends=('glibc')
+options=('!libtool')
+source=(http://ftp.gnu.org/gnu/libsigsegv/libsigsegv-${pkgver}.tar.gz)
+md5sums=('df0fe5f87a01e0b4b53b2cdfa8a730e1')
+
+build() {
+  cd ${startdir}/src/libsigsegv-${pkgver}
+  ./configure --prefix=/usr --enable-shared
+  make || return 1
+  make DESTDIR=${startdir}/pkg install
+}




More information about the arch-commits mailing list